Debian Bug report logs - #572124
nmu: abiword_2.8.2-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Patrik Fimml <patrik@fimml.at>

Date: Mon, 1 Mar 2010 18:30:02 UTC

Severity: normal

Done: Patrik Fimml <patrik@fimml.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, patrik@fimml.at, Debian Release Team <debian-release@lists.debian.org>:
Bug#572124; Package release.debian.org. (Mon, 01 Mar 2010 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrik Fimml <patrik@fimml.at>:
New Bug report received and forwarded. Copy sent to patrik@fimml.at, Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Mar 2010 18:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrik Fimml <patrik@fimml.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nmu: abiword_2.8.2-1
Date: Mon, 1 Mar 2010 19:28:07 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: binnmu

Hey,

libgoffice's packaging is currently buggy, not changing the package name
with SONAME. Please rebuild abiword as an intermediate fix until the
libgoffice packaging problem is resolved. (see #570010)

  nmu abiword_2.8.2-1 . ALL . -m "Rebuild against libgoffice with different SONAME (closes: #572043)"
  dw abiword_2.8.2-1 . ALL . -m "libgoffice-0-8 (>= 0.8.0-1)"

Thanks,
Patrik

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (800, 'testing'), (200, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#572124; Package release.debian.org. (Mon, 01 Mar 2010 18:48:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Mar 2010 18:48:21 GMT) Full text and rfc822 format available.

Message #10 received at 572124@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Patrik Fimml <patrik@fimml.at>
Cc: 572124@bugs.debian.org
Subject: Re: Bug#572124: nmu: abiword_2.8.2-1
Date: Mon, 01 Mar 2010 19:42:37 +0100
[Message part 1 (text/plain, inline)]
Patrik Fimml <patrik@fimml.at> writes:
> libgoffice's packaging is currently buggy, not changing the package name
> with SONAME. Please rebuild abiword as an intermediate fix until the
> libgoffice packaging problem is resolved. (see #570010)
>
>   nmu abiword_2.8.2-1 . ALL . -m "Rebuild against libgoffice with different SONAME (closes: #572043)"
>   dw abiword_2.8.2-1 . ALL . -m "libgoffice-0-8 (>= 0.8.0-1)"

binNMUs were scheduled for 2.8.1-2, but all failed to build due to
#569373.
2.8.2-1 has been uploaded after libgoffice had been changed, thus is
already built against the new goffice version and a binNMU wouldn't
change anything. #572043 has been reported against 2.8.1-2 from testing,
which is known to be affected. Why do you think a binNMU of 2.8.2-1
would solve this issue?

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
165: SuSE
       Nürnberger Windows (Andreas Gradert)
[Message part 2 (application/pgp-signature, inline)]

Added indication that bug 572124 blocks 572043 Request was from Patrik Fimml <patrik@fimml.at> to control@bugs.debian.org. (Mon, 01 Mar 2010 18:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#572124; Package release.debian.org. (Mon, 01 Mar 2010 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrik Fimml <patrik@fimml.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Mar 2010 18:57:02 GMT) Full text and rfc822 format available.

Message #17 received at 572124@bugs.debian.org (full text, mbox):

From: Patrik Fimml <patrik@fimml.at>
To: 572124@bugs.debian.org
Subject: Re: Bug#572124: nmu: abiword_2.8.2-1
Date: Mon, 1 Mar 2010 19:55:27 +0100
[Message part 1 (text/plain, inline)]
(re-sending my mail to the BTS, sorry)

> Patrik Fimml <patrik@fimml.at> writes:
> > libgoffice's packaging is currently buggy, not changing the package name
> > with SONAME. Please rebuild abiword as an intermediate fix until the
> > libgoffice packaging problem is resolved. (see #570010)

Actually, I meant to refer to #570351.

On Mon, Mar 01, 2010 at 07:42:37PM +0100, Marc 'HE' Brockschmidt wrote:
> binNMUs were scheduled for 2.8.1-2, but all failed to build due to
> #569373.
> 2.8.2-1 has been uploaded after libgoffice had been changed, thus is
> already built against the new goffice version and a binNMU wouldn't
> change anything. #572043 has been reported against 2.8.1-2 from testing,
> which is known to be affected. Why do you think a binNMU of 2.8.2-1
> would solve this issue?

Sounds like there was a race condition between the new goffice and the
new abiword. I know #572043 has been reported against 2.8.1-2, yet my
checking revealed that 2.8.2-1 has the same problem (at least here
on amd64, md5sum: 322bb68e575771e49353081263150e5d).

Regards,
Patrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#572124; Package release.debian.org. (Mon, 08 Mar 2010 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 08 Mar 2010 21:36:05 GMT) Full text and rfc822 format available.

Message #22 received at 572124@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Patrik Fimml <patrik@fimml.at>
Cc: 572124@bugs.debian.org
Subject: Re: Bug#572124: nmu: abiword_2.8.2-1
Date: Mon, 08 Mar 2010 22:32:36 +0100
[Message part 1 (text/plain, inline)]
Patrik Fimml <patrik@fimml.at> writes:
> On Mon, Mar 01, 2010 at 07:42:37PM +0100, Marc 'HE' Brockschmidt wrote:
>> binNMUs were scheduled for 2.8.1-2, but all failed to build due to
>> #569373.
>> 2.8.2-1 has been uploaded after libgoffice had been changed, thus is
>> already built against the new goffice version and a binNMU wouldn't
>> change anything. #572043 has been reported against 2.8.1-2 from testing,
>> which is known to be affected. Why do you think a binNMU of 2.8.2-1
>> would solve this issue?
> Sounds like there was a race condition between the new goffice and the
> new abiword. I know #572043 has been reported against 2.8.1-2, yet my
> checking revealed that 2.8.2-1 has the same problem (at least here
> on amd64, md5sum: 322bb68e575771e49353081263150e5d).

Hum, done now. Sorry for the delay. No idea how this could have
happened, but seems like you're right.

Marc
-- 
BOFH #123:
user to computer ratio too high.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Patrik Fimml <patrik@fimml.at>:
You have taken responsibility. (Sat, 13 Mar 2010 13:57:11 GMT) Full text and rfc822 format available.

Notification sent to Patrik Fimml <patrik@fimml.at>:
Bug acknowledged by developer. (Sat, 13 Mar 2010 13:57:12 GMT) Full text and rfc822 format available.

Message #27 received at 572124-done@bugs.debian.org (full text, mbox):

From: Patrik Fimml <patrik@fimml.at>
To: 572124-done@bugs.debian.org
Subject: Re: Bug#572124: nmu: abiword_2.8.2-1
Date: Sat, 13 Mar 2010 14:54:27 +0100
[Message part 1 (text/plain, inline)]
A binNMU of 2.8.2-1 is no longer necessary because goffice fixed its
package naming and abiword 2.8.2-2 is waiting for a sponsor, thus
closing this bug report.

Patrik
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:31:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:13:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.